module Inf::Migrations
  def self.method_missing(m, *args, &block)
    Inf.send(m, *args, &block)
  end

  def self.maybe_migrate!
    if single_sfr = get_state("apps/#{app_name}/sfr")
      migrate_to_multi_fleets single_sfr
    end
  end

  # before: apps/:name/sfr is the only fleet
  # after: apps/:name/fleets/web/sfr
  def self.migrate_to_multi_fleets(sfr)
    Inf.put_state "apps/#{app_name}/fleets/web/sfr", sfr
    Inf.delete_state "apps/#{app_name}/sfr"
  end
end
